--- /dev/null	Thu Sep 28 15:42:23 2000
+++ ./openafs-1.0/src/config/Makefile.s390_linux22	Wed Nov  1 21:09:17 2000
@@ -0,0 +1,50 @@
+# Copyright 1998 Transarc Corporation 
+#
+# Keep macros within each section in sorted order for clean diff displays.
+#
+# AFS_OSTYPE used to indicate suffixes and os specific subdirectories.
+AFS_OSTYPE = LINUX
+
+# Base directory for linux kernel source. Actually a prefix which is complete
+# when LINUX_VERS is appended to it.
+LINUX_SRCDIR = /usr/src/linux-
+# Default list of Linux kernels to build. Build will run only if all
+# can be built. To build a different set, specify LINUX_VERS to make.
+LINUX_VERS = 2.2.5-15 2.2.10 2.2.12 2.2.12-20 2.2.13 2.2.14 2.2.15 2.2.16
+
+#
+# compilation and link editor flags
+DBG=-g
+OPTMZ=-O2
+PAM_CFLAGS = -O2 -Dlinux -DLINUX_PAM -fPIC
+# Put -O2 here to _ensure_ all Makefiles pick it up.
+XCFLAGS= -O2
+MT_CFLAGS=-DAFS_PTHREAD_ENV -pthread -D_REENTRANT ${XCFLAGS}
+XLDFLAGS=
+SHARE_LDFLAGS = -shared -Xlinker -x
+SHLIB_SUFFIX=so
+SHLIB_CFLAGS=
+#
+# libraries
+MTLIBS=-lpthread
+TXLIBS= /usr/lib/libncurses.so
+XLIBS=
+#
+# programs
+AR=ar
+AS=as
+CP=cp
+INSTALL=${SRCDIR}bin/install
+LD=ld   
+MT_CC=cc
+MV=mv
+RANLIB=ranlib
+RM=rm
+WASHTOOL=${SRCDIR}bin/washtool
+#
+# Other OS specific requirements
+#
+YACC = bison -y
+LEX = flex -l
+# Used in des library.
+CRYPT_OBJ = crypt.o
--- /dev/null	Thu Sep 28 15:42:23 2000
+++ ./openafs-1.0/src/config/param.s390_linux22.h	Wed Nov  1 20:43:02 2000
@@ -0,0 +1,67 @@
+/* Copyright (C) 1998 by Transarc Corporation */
+
+
+#ifndef _PARAM_S390_LINUX22_H_
+#define _PARAM_S390_LINUX22_H_
+
+/* In user space the AFS_LINUX20_ENV should be sufficient. In the kernel,
+ * it's a judgment call. If something is obviously s390 specific, use that
+ * #define instead. Note that "20" refers to the linux 2.0 kernel. The "2"
+ * in the sysname is the current version of the client. This takes into
+ * account the perferred OS user space configuration as well as the kernel.
+ */
+
+#define AFS_LINUX20_ENV	1
+#define AFS_LINUX22_ENV	1
+#define AFS_S390_LINUX20_ENV	1
+#define AFS_S390_LINUX22_ENV	1
+#define AFS_NONFSTRANS 1
+
+#define AFS_MOUNT_AFS "afs"	/* The name of the filesystem type. */
+#define AFS_SYSCALL 137
+#define AFS_64BIT_IOPS_ENV  1
+#define AFS_NAMEI_ENV     1   /* User space interface to file system */
+#include <afs/afs_sysnames.h>
+
+#define AFS_USERSPACE_IP_ADDR 1
+#define RXK_LISTENER_ENV 1
+#define AFS_GCPAGS		0       /* if nonzero, garbage collect PAGs */
+
+
+/* Machine / Operating system information */
+#define SYS_NAME	"s390_linux22"
+#define SYS_NAME_ID	SYS_NAME_ID_s390_linux22
+#define AFSBIG_ENDIAN    1
+#define AFS_HAVE_FFS        1       /* Use system's ffs. */
+#define AFS_HAVE_STATVFS    0	/* System doesn't support statvfs */
+#define AFS_VM_RDWR_ENV	    1	/* read/write implemented via VM */
+
+#if defined(__KERNEL__) && !defined(KDUMP_KERNEL)
+#include <linux/config.h>
+#ifdef CONFIG_SMP
+#undef CONFIG_SMP
+#endif
+/* Using "AFS_SMP" to map to however many #define's are required to get
+ * MP to compile for Linux
+ */
+#ifdef AFS_SMP
+#define CONFIG_SMP
+#ifndef CONFIG_S390_LOCAL_APIC
+#define CONFIG_S390_LOCAL_APIC
+#endif
+#define __SMP__
+#define AFS_GLOBAL_SUNLOCK
+#endif
+
+#endif /* __KERNEL__  && !DUMP_KERNEL*/
+
+#ifdef KERNEL
+#ifndef MIN
+#define MIN(A,B) ((A) < (B) ? (A) : (B))
+#endif
+#ifndef MAX
+#define MAX(A,B) ((A) > (B) ? (A) : (B))
+#endif
+#endif /* KERNEL */
+
+#endif /* _PARAM_S390_LINUX20_H_ */
--- /dev/null	Thu Sep 28 15:42:23 2000
+++ ./openafs-1.0/src/config/param.s390_linux22_usr.h	Wed Nov  1 20:42:17 2000
@@ -0,0 +1,56 @@
+/* Copyright (C) 1998 by Transarc Corporation */
+
+
+#ifndef _PARAM_USR_S390_LINUX22_H_
+#define _PARAM_USR_S390_LINUX22_H_
+
+/* In user space the AFS_LINUX20_ENV should be sufficient. In the kernel,
+ * it's a judgment call. If something is obviously s390 specific, use that
+ * #define instead. Note that "20" refers to the linux 2.0 kernel. The "2"
+ * in the sysname is the current version of the client. This takes into
+ * account the perferred OS user space configuration as well as the kernel.
+ */
+
+#define UKERNEL			1	/* user space kernel */
+#define AFS_ENV			1
+#define AFS_USR_LINUX20_ENV	1
+#define AFS_USR_LINUX22_ENV	1
+#define AFS_NONFSTRANS 1
+
+#define AFS_MOUNT_AFS "afs"	/* The name of the filesystem type. */
+#define AFS_SYSCALL 137
+#define AFS_64BIT_IOPS_ENV  1
+#define AFS_NAMEI_ENV     1   /* User space interface to file system */
+#include <afs/afs_sysnames.h>
+
+#define AFS_USERSPACE_IP_ADDR 1
+#define RXK_LISTENER_ENV 1
+#define AFS_GCPAGS		0       /* if nonzero, garbage collect PAGs */
+
+
+/* Machine / Operating system information */
+#define SYS_NAME	"s390_linux22"
+#define SYS_NAME_ID	SYS_NAME_ID_s390_linux22
+#define AFSBIG_ENDIAN    1
+#define AFS_HAVE_FFS        1       /* Use system's ffs. */
+#define AFS_HAVE_STATVFS    0	/* System doesn't support statvfs */
+#define AFS_VM_RDWR_ENV	    1	/* read/write implemented via VM */
+
+#define	afsio_iov	uio_iov
+#define	afsio_iovcnt	uio_iovcnt
+#define	afsio_offset	uio_offset
+#define	afsio_seg	uio_segflg
+#define	afsio_fmode	uio_fmode
+#define	afsio_resid	uio_resid
+#define	AFS_UIOSYS	1
+#define	AFS_UIOUSER	UIO_USERSPACE
+#define	AFS_CLBYTES	MCLBYTES
+#define	AFS_MINCHANGE	2
+#define	VATTR_NULL	usr_vattr_null
+
+#define AFS_DIRENT
+#ifndef CMSERVERPREF
+#define CMSERVERPREF
+#endif
+
+#endif /* _PARAM_USR_S390_LINUX22_H_ */
--- /dev/null	Thu Sep 28 15:42:23 2000
+++ ./openafs-1.0/src/des/conf-s390-linux.h	Wed Nov  1 20:57:45 2000
@@ -0,0 +1,15 @@
+/*
+ * Copyright 1988 by the Massachusetts Institute of Technology.
+ *
+ * For copying and distribution information, please see the file
+ * <mit-copyright.h>.
+ *
+ * Machine-type definitions: Linux on Intel
+ */
+
+#include <mit-cpyright.h>
+
+#define BITS32
+#define BIG
+#define MSBFIRST
+#define MUSTALIGN
===================================================================
RCS file: ./openafs-1.0/src/afs/Makefile,v
retrieving revision 1.1
diff -u5 -r1.1 ./openafs-1.0/src/afs/Makefile
--- ./openafs-1.0/src/afs/Makefile	2000/11/01 20:12:49	1.1
+++ ./openafs-1.0/src/afs/Makefile	2000/11/01 20:58:11
@@ -28,11 +28,11 @@
 	set ${DESTDIR}root.client/usr/vice/etc/C; $(MKDIR_IF_NEEDED)
 	-rm -f afszcm.cat
 	case ${SYS_NAME} in \
 		sgi_* ) \
 			gencat -m afszcm.cat afs_trace.msf ;; \
-		i386_linux* ) \
+		i386_linux* | s390_linux* ) \
 			gencat --new afszcm.cat afs_trace.msf ;; \
 		* ) \
 			gencat afszcm.cat afs_trace.msf ;; \
 	esac
 	
===================================================================
RCS file: ./openafs-1.0/src/comerr/Makefile,v
retrieving revision 1.1
diff -u5 -r1.1 ./openafs-1.0/src/comerr/Makefile
--- ./openafs-1.0/src/comerr/Makefile	2000/11/01 20:12:53	1.1
+++ ./openafs-1.0/src/comerr/Makefile	2000/11/01 20:58:47
@@ -84,11 +84,11 @@
 #
 # real entries...
 #
 compile_et:	compile_et.o error_table.o
 	case $(SYS_NAME) in \
-	i386_linux* ) \
+	i386_linux* | s390_linux* ) \
 	${CC} ${CFLAGS} -o compile_et compile_et.o error_table.o ${utilib};; \
 	* ) \
 	${CC} ${CFLAGS} -o compile_et compile_et.o error_table.o ${utilib} -ll;; \
 	esac
 
===================================================================
RCS file: ./openafs-1.0/src/config/afs_sysnames.h,v
retrieving revision 1.1
diff -u5 -r1.1 ./openafs-1.0/src/config/afs_sysnames.h
--- ./openafs-1.0/src/config/afs_sysnames.h	2000/11/01 19:51:57	1.1
+++ ./openafs-1.0/src/config/afs_sysnames.h	2000/11/01 19:55:19
@@ -100,10 +100,12 @@
 #define SYS_NAME_ID_i386_nt35		1400
 
 #define SYS_NAME_ID_i386_linux2		1500
 #define SYS_NAME_ID_i386_linux22	1501
 
+#define SYS_NAME_ID_s390_linux22	1600
+
 /*
  * Placeholder to keep system-wide standard flags since this file is included by all 
  * files (i.e in afs/param.h)
  */
 #ifdef	notdef	
===================================================================
RCS file: ./openafs-1.0/src/des/andrew-conf.h,v
retrieving revision 1.1
diff -u5 -r1.1 ./openafs-1.0/src/des/andrew-conf.h
--- ./openafs-1.0/src/des/andrew-conf.h	2000/11/01 19:52:38	1.1
+++ ./openafs-1.0/src/des/andrew-conf.h	2000/11/01 19:54:30
@@ -41,12 +41,16 @@
 #include "conf-winnt.h"
 #else
 #ifdef AFS_LINUX20_ENV
 #include "conf-i386-linux.h"
 #else
+#ifdef __s390__
+#include "conf-s390-linux.h"
+#else
 Sorry, you lose.
 Figure out what the machine looks like and fix this file to include it.
+#endif /* s390 */
 #endif /* AFS_LINUX20_ENV */
 #endif /* AFS_NT40_ENV */
 #endif /* NCR || X86 */
 #endif /* __alpha */
 #endif /* SGI */
===================================================================
RCS file: ./openafs-1.0/src/lwp/Makefile,v
retrieving revision 1.1
diff -u5 -r1.1 ./openafs-1.0/src/lwp/Makefile
--- ./openafs-1.0/src/lwp/Makefile	2000/11/01 20:12:57	1.1
+++ ./openafs-1.0/src/lwp/Makefile	2000/11/01 20:59:32
@@ -57,11 +57,11 @@
 					rm process.ss ;; \
 				sgi_5* ) \
 					$(CC) -c -I${SRCDIR}include -KPIC -G0  process.s;; \
 				sgi_61 | sgi_62 | sgi_63 ) \
 					$(CC) -c ${XCFLAGS} -I${SRCDIR}include -KPIC -G0  process.s;; \
-				hp* | i386_linux* | sgi_64 | sgi_65) \
+				hp* | i386_linux* | s390_linux* | sgi_64 | sgi_65) \
 					${CC} ${CFLAGS} -c process.c;; \
 				ncrx86_*) \
 					/usr/ccs/lib/cpp -P -I${SRCDIR}include process.s process.ss; \
 					${AS} -o process.o process.ss; \
 					rm process.ss ;; \
===================================================================
RCS file: ./openafs-1.0/src/rx/Makefile,v
retrieving revision 1.1
diff -u5 -r1.1 ./openafs-1.0/src/rx/Makefile
--- ./openafs-1.0/src/rx/Makefile	2000/11/01 20:13:00	1.1
+++ ./openafs-1.0/src/rx/Makefile	2000/11/01 21:28:59
@@ -120,11 +120,11 @@
 	@case ${SYS_NAME} in \
 	alpha_dux4* ) \
 		$(INSTALL) DUX/*.[ch] $(KERNELDIR)rx;; \
 	hp_ux* ) \
 		$(INSTALL) HPUX/*.[ch] $(KERNELDIR)rx;; \
-	i386_linux* ) \
+	i386_linux* | s390_linux* ) \ 
 		$(INSTALL) LINUX/*.[ch] $(KERNELDIR)rx;; \
 	rs_aix* ) \
 		$(INSTALL) AIX/*.[ch] $(KERNELDIR)rx;; \
 	sgi_* ) \
 		$(INSTALL) IRIX/*.[ch] $(KERNELDIR)rx;; \
===================================================================
RCS file: ./openafs-1.0/s390_linux22/obj/config/afs_sysnames.h,v
retrieving revision 1.1
diff -u5 -r1.1 ./openafs-1.0/s390_linux22/obj/config/afs_sysnames.h
--- ./openafs-1.0/s390_linux22/obj/config/afs_sysnames.h	2000/11/01 19:51:57	1.1
+++ ./openafs-1.0/s390_linux22/obj/config/afs_sysnames.h	2000/11/01 19:55:19
@@ -100,10 +100,12 @@
 #define SYS_NAME_ID_i386_nt35		1400
 
 #define SYS_NAME_ID_i386_linux2		1500
 #define SYS_NAME_ID_i386_linux22	1501
 
+#define SYS_NAME_ID_s390_linux22	1600
+
 /*
  * Placeholder to keep system-wide standard flags since this file is included by all 
  * files (i.e in afs/param.h)
  */
 #ifdef	notdef	
===================================================================
RCS file: ./openafs-1.0/s390_linux22/obj/des/andrew-conf.h,v
retrieving revision 1.1
diff -u5 -r1.1 ./openafs-1.0/s390_linux22/obj/des/andrew-conf.h
--- ./openafs-1.0/s390_linux22/obj/des/andrew-conf.h	2000/11/01 19:52:38	1.1
+++ ./openafs-1.0/s390_linux22/obj/des/andrew-conf.h	2000/11/01 19:54:30
@@ -41,12 +41,16 @@
 #include "conf-winnt.h"
 #else
 #ifdef AFS_LINUX20_ENV
 #include "conf-i386-linux.h"
 #else
+#ifdef __s390__
+#include "conf-s390-linux.h"
+#else
 Sorry, you lose.
 Figure out what the machine looks like and fix this file to include it.
+#endif /* s390 */
 #endif /* AFS_LINUX20_ENV */
 #endif /* AFS_NT40_ENV */
 #endif /* NCR || X86 */
 #endif /* __alpha */
 #endif /* SGI */
